<html>
<head>
<meta charset="utf-8"/>
<title>DropBox</title>
<header>
<h1>DropBox</h1>
</head>

<body>

{% if user %}


	{% if user.username!=None %}
		<p>{{ welcome_message }} to the application</p>
		<p>you can {{ url_string }} <a href='{{ url }}'> here</a></p>



	</header>

	{% else %}
	<p>{{ welcome_message }}</p>
	<p>you can {{ url_string }} <a href='{{ url }}'> here</a></p>

	</header>

	{%	endif %}


<div style="float: left;">


</div>

<div style="float: left; margin-left:50px;">


	<section>
		<h3>Add Directory:</h3>
			<form method = "get" action ="/" type= "submit">

				Directory Name:	<input type = "text" name = "dir_name"></input>
				<input type="hidden" name= "current_directory_name" value= "{{directories.name}}">
				<input type="submit" value="Add" name="button" onclick="return check_empty1();"></input>


			</form>
		</section>

		<section>
			<h3>Delete Directory:</h3>
				<form method = "get" action ="/" type= "submit">

					Directory Name:	<input type = "text" name = "del_dir_name"></input>

					<input type="submit" value="Delete" name="button" onclick="return check_empty2();"></input>


				</form>
			</section>

<section>


	<h3>Directory: </h3>
<!-- debugging:	{{template_debug}} -->

	<h4>	{{directories.name}}</h4>



<table style="width:90%">
		<tbody>
			{% if directories.parentdirectory %}
			<form method = "get" action ="/" type= "submit">
				<input type = 'hidden' name = 'key_id' value='{{directories.parentdirectory.get().key.id()}}'>
				<input type = 'hidden' name = 'key_name' value='{{directories.parentdirectory.get().name}}'>
				<input type="submit" value="View" name="button">View Parent</input>

			</form>
			{% endif %}
			<tr>
				<th>Sub Directories: </th>

			</tr>
			{%for row in directories.subdirectories%}

				<tr>
					<td>{{row.get().name}} </td>

					<td>
					<form method = "get" action ="/" type= "submit">
						<input type = 'hidden' name = 'key_id' value='{{row.get().key.id()}}'>
						<input type = 'hidden' name = 'key_name' value='{{row.get().name}}'>
						<input type="submit" value="View" name="button"></input>

					</form>
				</td>

				</tr>

				{% endfor %}


		<tbody>
		</table>
</section>



	<br>
	<h3>Upload a file to the directory<h3>
		<br/><br/>
	<!-- form for uploading a file to the blobstore -->
	<form action="{{ upload_url }}" method="post" enctype="multipart/form-data">
	Upload File: <input type="file" name="file" /><br/>
	<input type="hidden" value="{{directories.name}}" name="directory_name" />
	<input type="hidden" value="{{directories.user_id}}" name="user_id" />
	<input type="submit"/>
	</form>

	<h4>Files: <h4>
		<table style="width:90%">
				<tbody>
	{% for i in collection %}
		<tr>
			<td>
			{{ i.get().filenames }}
		</td>


		<td>
		<form action="/download" method="get">
			<input type="hidden" value="{{i.get().blobs}}" name="file_obj"/>
			<input type="hidden" value="{{ loop.index - 1 }}" name="index" />

		<input type="submit" value="Download" name="myButton" />
			</form>
		</td>
		<td>
			<form action="/upload" method="post">
			<input type="hidden" value="{{directories.name}}" name="dir_name" />
			<input type="hidden" value="{{directories.user_id}}" name="usr_id" />
			<input type="hidden" value="{{i.get().filenames}}" name="files" />
			<input type="submit" value="Delete" name="myButton" />
			</form>
		</td>
		</tr>
		{% endfor %}
	</tbody>
</table>

</div>

{% else %}

<p>Hello guest welcome to the application</p>

<p>you can {{ url_string }} <a href='{{ url }}'>here</a></p>

{% endif %}

<script type="text/javascript">

function check_empty_2(){

  var input=document.getElementById('del_dir_name').value;


			if(!input){
				alert("Please add text")
				return false;
			}

      else
      {
				alert("Added")
        return true;
      }


}


function check_empty_1(){

  var input=document.getElementById('dir_name').value;


			if(!input){
				alert("Please add text")
				return false;
			}

      else
      {
				alert("Added")
        return true;
      }


}
</script>

</section>
</body>
</html>


<style>
table {
  font-family: arial, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

td, th {
  border: 1px solid #dddddd;
  text-align: left;
  padding: 8px;
}

tr:nth-child(even) {
  background-color: #dddddd;
}

header {
  background-color: #666;
  padding: 25px;
  text-align: center;
  font-size: 20px;
  color: white;
}

nav {
  float: left;
  width: 40%;
  background: #ccc;
  padding: 20px;
  height: 300px;
}

article {
  float: left;
  padding: 30px;
  width: 47%;
  background-color: #f1f1f1;

}

section:after {
  content: "";
  display: table;
  clear: both;
}

</style>
